/* color palette from <https://github.com/vuejs/theme> */
@import './fonts.css';
@import './light-theme.css';

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  position: relative;
  font-weight: normal;
}

body {
  min-height: 100vh;
  color: var(--color-body-text);
  background: var(--color-body-bg);
  transition: color 0.5s, background-color 0.5s;
  line-height: 1.6;
  font-family: Montserrat, Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
    Cantarell, 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
  font-size: 15px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.container {
  width: 100%;
  display: flex;
  place-items: center;
  flex-grow: 1;
  padding-left: 56px;
  padding-top: 56px;
}

.view-wrapper-center {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  place-items: center;
}

.view-wrapper-start {
  flex-grow: 1;
  align-self: start;
  padding: 24px;
}

#app .v-btn--elevated {
  background-color: var(--color-button-bg);
  color: var(--color-button-text);
}